summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSven Wegener <swegener@gentoo.org>2005-09-25 12:30:26 +0000
committerSven Wegener <swegener@gentoo.org>2005-09-25 12:30:26 +0000
commitd079b0b8431b7645e8a56c741f8cbcb7f9ca9dbe (patch)
tree3fe816b667e27003a8964ce7f12d4fe4592f30c4 /eclass/php.eclass
parentDon't try to use -static on Darwin userland, as it doesn't work. (diff)
downloadhistorical-d079b0b8431b7645e8a56c741f8cbcb7f9ca9dbe.tar.gz
historical-d079b0b8431b7645e8a56c741f8cbcb7f9ca9dbe.tar.bz2
historical-d079b0b8431b7645e8a56c741f8cbcb7f9ca9dbe.zip
Apply whitespace checks from repoman to eclasses.
Diffstat (limited to 'eclass/php.eclass')
-rw-r--r--eclass/php.eclass25
1 files changed, 11 insertions, 14 deletions
diff --git a/eclass/php.eclass b/eclass/php.eclass
index 525501f38df0..344d23669008 100644
--- a/eclass/php.eclass
+++ b/eclass/php.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php.eclass,v 1.103 2005/09/14 22:41:19 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php.eclass,v 1.104 2005/09/25 12:30:26 swegener Exp $
# Author: Robin H. Johnson <robbat2@gentoo.org>
# This eclass is the old style of php, that was used before php-core was
@@ -8,9 +8,6 @@
inherit eutils flag-o-matic
-ECLASS=php
-INHERITED="$INHERITED $ECLASS"
-
EXPORT_FUNCTIONS src_unpack src_compile src_install pkg_postinst pkg_preinst
[ -z "${MY_PN}" ] && MY_PN=php
@@ -45,10 +42,10 @@ IUSE="${IUSE} X crypt curl firebird flash freetds gd gd-external gdbm imap infor
# we need db-1.* for ndbm
# and then either of db3 or db4
IUSE="${IUSE} berkdb"
-RDEPEND="${RDEPEND} berkdb? ( =sys-libs/db-1.*
- || ( >=sys-libs/db-4.0.14-r2
+RDEPEND="${RDEPEND} berkdb? ( =sys-libs/db-1.*
+ || ( >=sys-libs/db-4.0.14-r2
>=sys-libs/db-3.2.9-r9
- )
+ )
)"
# Everything is in this list is dynamically linked agaist or needed at runtime
@@ -61,7 +58,7 @@ RDEPEND="
curl? ( >=net-misc/curl-7.10.2 )
x86? ( firebird? ( >=dev-db/firebird-1.0 ) )
freetds? ( >=dev-db/freetds-0.53 )
- gd-external? ( media-libs/gd >=media-libs/jpeg-6b
+ gd-external? ( media-libs/gd >=media-libs/jpeg-6b
>=media-libs/libpng-1.2.5 )
gd? ( >=media-libs/jpeg-6b >=media-libs/libpng-1.2.5 )
gdbm? ( >=sys-libs/gdbm-1.8.0 )
@@ -72,7 +69,7 @@ RDEPEND="
nls? ( sys-devel/gettext )
odbc? ( >=dev-db/unixODBC-1.8.13 )
pam? ( >=sys-libs/pam-0.75 )
- pdflib? ( >=media-libs/pdflib-4.0.3 >=media-libs/jpeg-6b
+ pdflib? ( >=media-libs/pdflib-4.0.3 >=media-libs/jpeg-6b
>=media-libs/libpng-1.2.5 >=media-libs/tiff-3.5.5 )
png? ( >=media-libs/libpng-1.2.5 )
postgres? ( >=dev-db/postgresql-7.1 )
@@ -82,12 +79,12 @@ RDEPEND="
ssl? ( >=dev-libs/openssl-0.9.5 )
tiff? ( >=media-libs/tiff-3.5.5 )
xml2? ( dev-libs/libxml2 >=dev-libs/libxslt-1.0.30 )
- truetype? ( =media-libs/freetype-2* =media-libs/freetype-1*
+ truetype? ( =media-libs/freetype-2* =media-libs/freetype-1*
media-libs/t1lib )
>=net-libs/libwww-5.3.2
>=app-text/sablotron-0.97
dev-libs/expat
- sys-libs/zlib
+ sys-libs/zlib
virtual/mta
virtual/libc"
# virtual/libc line added as a fix for an rsync issue regarding cache
@@ -95,8 +92,8 @@ RDEPEND="
# disappear. (sys-apps -> app-arch move stuff)
# libswf is ONLY available on x86
-RDEPEND="${RDEPEND} flash? (
- x86? ( media-libs/libswf )
+RDEPEND="${RDEPEND} flash? (
+ x86? ( media-libs/libswf )
>=media-libs/ming-0.2a )"
#The new XML extension in PHP5 requires libxml2-2.5.10
@@ -114,7 +111,7 @@ DEPEND="${DEPEND} !dev-libs/9libs"
DEPEND="${DEPEND} !dev-libs/libiconv"
#Waiting for somebody to want this:
-#cyrus? ( net-mail/cyrus-imapd net-mail/cyrus-imap-admin dev-libs/cyrus-imap-dev )
+#cyrus? ( net-mail/cyrus-imapd net-mail/cyrus-imap-admin dev-libs/cyrus-imap-dev )
#export this here so we can use it
myconf="${myconf}"